#ifndef QAUGMENTEDREALITYCAMERADELEGATE_H
#define QAUGMENTEDREALITYCAMERADELEGATE_H

#include <QtDeclarative>
#include "qdll_global.h"

class QDLLSHARED_EXPORT QAugmentedRealityCameraDelegate : public QDeclarativeComponent
{
    Q_OBJECT
    Q_CLASSINFO("Author", "Sebastiano Galazzo")
    Q_CLASSINFO("Email", "sebastiano.galazzo@gmail.com")

    Q_PROPERTY(float latitude  READ latitude WRITE setLatitude)
    Q_PROPERTY(float longitude READ longitude WRITE setLongitude)
    Q_PROPERTY(QString message READ message WRITE setMessage)
    Q_PROPERTY(QString infoBox READ infoBox WRITE setInfoBox)
    Q_PROPERTY(QString source READ source WRITE setSource)

public:
    QAugmentedRealityCameraDelegate();
    QAugmentedRealityCameraDelegate( QDeclarativeEngine * engine, QObject * parent = 0 );
    QAugmentedRealityCameraDelegate( QDeclarativeEngine * engine, const QString & fileName, QObject * parent = 0 );
    QAugmentedRealityCameraDelegate( QDeclarativeEngine * engine, const QUrl & url, QObject * parent = 0 );

    float latitude() const;
    float longitude() const;
    QString message() const;
    QString infoBox() const;
    QString source() const;

    void setLatitude(float value );
    void setLongitude(float value );
    void setMessage(QString message );
    void setInfoBox(QString infoBox );
    void setSource(QString source );

private:
    float m_latitude;
    float m_longitude;
    QString m_message;
    QString m_infobox;
    QString m_source;
};

#endif // QAUGMENTEDREALITYCAMERADELEGATE_H
